## univention-user-group-sync-dest 4.0.0-1

=== debian/changelog ===
univention-user-group-sync-dest (4.0.0-1) unstable; urgency=low

  * Add Version Bump for UCS52

 -- Jonas Einnolf <einnolf@univention.de>  Thu, 03 Jul 2025 13:00:01 +0200

univention-user-group-sync-dest (3.0.0-1) unstable; urgency=medium

  * Update for UCS5

 -- Oliver Friedrich <friedrich@univention.de>  Fri, 03 Jun 2022 12:44:07 +0200

univention-user-group-sync-dest (2.1.1-1) unstable; urgency=medium

  * Allow syncing of binary attributes #32995

 -- Jan-Luca Kiok <kiok@univention.de>  Tue, 18 Jan 2022 09:13:16 +0100

univention-user-group-sync-dest (2.1.0-26) unstable; urgency=medium

  * Fix group handling

 -- Jan-Luca Kiok <kiok@univention.de>  Tue, 20 Jul 2021 14:50:27 +0200

univention-user-group-sync-dest (2.1.0-25) unstable; urgency=medium

  * Re-Add user to his previous groups, if sync is reenabled #26041

 -- Valentin Heidelberger <heidelberger@univention.de>  Tue, 07 Jul 2020 10:54:31 +0200

univention-user-group-sync-dest (2.1.0-24) unstable; urgency=medium

  * Catch traceback on non-existing UDM-Attribute #24156

 -- Hendrik Peter <hpeter@univention.de>  Thu, 02 Apr 2020 15:57:26 +0200

univention-user-group-sync-dest (2.1.0-23) unstable; urgency=medium

  * Every User UDM-Attribute is now synchronisable #24156

 -- Hendrik Peter <hpeter@univention.de>  Mon, 23 Mar 2020 14:07:51 +0100

univention-user-group-sync-dest (2.1.0-22) unstable; urgency=medium

  * Add custom PROCESS_FILES_LIMIT via UCR

 -- Valentin Heidelberger <heidelberger@univention.de>  Tue, 25 Feb 2020 15:57:50 +0100

univention-user-group-sync-dest (2.1.0-21) unstable; urgency=medium

  * Only split objectClass_difference if it is set

 -- Valentin Heidelberger <heidelberger@univention.de>  Thu, 20 Feb 2020 16:22:12 +0100

univention-user-group-sync-dest (2.1.0-19) unstable; urgency=medium

  * Add ldap/sync/ignore_error/objectClass_difference

 -- Valentin Heidelberger <heidelberger@univention.de>  Thu, 20 Feb 2020 15:32:43 +0100

univention-user-group-sync-dest (2.1.0-18) unstable; urgency=medium

  * Check if object's position exists before creation
  * Use correct ignore_mapping for user updates

 -- Valentin Heidelberger <heidelberger@univention.de>  Thu, 13 Feb 2020 10:53:04 +0100

univention-user-group-sync-dest (2.1.0-17) unstable; urgency=medium

  * Add logrotate config
  * Add config to ignore certain LDAP errors
  * Fix description of getUCRCertificatesEnabled

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 12 Feb 2020 12:58:02 +0100

univention-user-group-sync-dest (2.1.0-16) unstable; urgency=low

  * Fixed _uid_to_dn handling
  * Issue #12769

 -- Timo Hollwedel <hollwedel@univention.de>  Fri, 29 Nov 2019 09:36:10 +0100

univention-user-group-sync-dest (2.1.0-15) unstable; urgency=medium

  * Add debug output: currently read file
  * Handle ldap.DECODING_ERROR in create operations
  * Issue #22646

 -- Valentin Heidelberger <heidelberger@univention.de>  Thu, 17 Oct 2019 13:52:48 +0200

univention-user-group-sync-dest (2.1.0-14) unstable; urgency=medium

  * Lookup users correctly in _direct_update
  * Add ucslint
  * Issue #22646

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 16 Oct 2019 15:45:41 +0200

univention-user-group-sync-dest (2.1.0-10) unstable; urgency=medium

  * Pass object dn to _direct_update
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Thu, 06 Jun 2019 19:34:31 +0200

univention-user-group-sync-dest (2.1.0-9) unstable; urgency=low

  * Added: Missing synchronization of direct attributes on initial Sync
  * Issue #15608

 -- Hendrik Peter <hpeter@univention.de>  Thu, 06 Jun 2019 16:01:47 +0200

univention-user-group-sync-dest (2.1.0-8) unstable; urgency=medium

  * Switch mapping of source LDAP to destination OU to source LDAP base with dots
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Mon, 27 May 2019 14:18:34 +0200

univention-user-group-sync-dest (2.1.0-7) unstable; urgency=medium

  * Remove interactive configuration
  * Add non-interactive password creation
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Fri, 24 May 2019 16:52:30 +0200

univention-user-group-sync-dest (2.1.0-6) unstable; urgency=medium

  * Switch mapping of source LDAP to destination OU to source domainname and destination OU
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 15 May 2019 19:56:22 +0200

univention-user-group-sync-dest (2.1.0-5) unstable; urgency=medium

  * Add mapping of source LDAP base to destination OU
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Mon, 06 May 2019 16:40:43 +0200

univention-user-group-sync-dest (2.1.0-4) unstable; urgency=low

  * Fixed: Class violation error when ldap/sync/certificates is deactivated
  * Modify existing object on Add command
  * Issue #14963

 -- Hendrik Peter <hpeter@univention.de>  Thu, 28 Mar 2019 12:25:49 +0100

univention-user-group-sync-dest (2.1.0-3) unstable; urgency=low

  * Fixed typo: dh_input
  * Fixed: User certificate can be a list
  * Fixed: User certificate can be empty
  * Fixed: Move command implemented
  * Fixed: Unset attributes will get applied
  * Command type gets stored in transfered files. No more command guessing
  * Rewritten Script
  * Issue #14963

 -- Hendrik Peter <hpeter@univention.de>  Mon, 26 Mar 2019 18:16:46 +0100

univention-user-group-sync-dest (2.1.0-2) unstable; urgency=low

  * Added Simple Authentication Account synchronization
  * Added User Certificate synchronization
  * Issue #14963

 -- Hendrik Peter <hpeter@univention.de>  Fri, 01 Mar 2019 13:18:07 +0100

univention-user-group-sync-dest (2.0.0-10) unstable; urgency=medium

  * Fix getPosition regex

 -- Valentin Heidelberger <heidelberger@univention.de>  Tue, 11 Dec 2018 13:22:47 +0100

univention-user-group-sync-dest (2.0.0-9) unstable; urgency=low

  * Catch failed LDAP requests #12769
  * Add Log file

 -- Hendrik Peter <hpeter@univention.de>  Fri, 02 Nov 2018 16:18:14 +0100


