=== debian/control ===
Source: univention-user-group-sync-dest
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (= 12),
 ucslint,
 univention-config-dev,
Standards-Version: 4.1.2

Package: univention-user-group-sync-dest
Architecture: all
Pre-Depends:
 univention-config,
Depends:
 ${misc:Depends},
Description: import transferred user and group information
 This package contains a program to import the stored user and group information
 after transfer to another system.
